[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Qemu-devel] [PATCH 7/7] iotests: Add test for image creation fallback
From: |
Max Reitz |
Subject: |
[Qemu-devel] [PATCH 7/7] iotests: Add test for image creation fallback |
Date: |
Fri, 12 Jul 2019 19:36:00 +0200 |
Signed-off-by: Max Reitz <address@hidden>
---
tests/qemu-iotests/259 | 61 ++++++++++++++++++++++++++++++++++++++
tests/qemu-iotests/259.out | 14 +++++++++
tests/qemu-iotests/group | 1 +
3 files changed, 76 insertions(+)
create mode 100755 tests/qemu-iotests/259
create mode 100644 tests/qemu-iotests/259.out
diff --git a/tests/qemu-iotests/259 b/tests/qemu-iotests/259
new file mode 100755
index 0000000000..22b4c10241
--- /dev/null
+++ b/tests/qemu-iotests/259
@@ -0,0 +1,61 @@
+#!/usr/bin/env bash
+#
+# Test generic image creation fallback (by using NBD)
+#
+# Copyright (C) 2019 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=address@hidden
+
+seq=$(basename $0)
+echo "QA output created by $seq"
+
+status=1 # failure is the default!
+
+_cleanup()
+{
+ _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+_supported_fmt raw
+_supported_proto nbd
+_supported_os Linux
+
+
+_make_test_img 64M
+
+echo
+echo '--- Testing creation ---'
+
+$QEMU_IMG create -f qcow2 "$TEST_IMG" 64M | _filter_img_create
+$QEMU_IMG info "$TEST_IMG" | _filter_img_info
+
+echo
+echo '--- Testing creation for which the node would need to grow ---'
+
+$QEMU_IMG create -f qcow2 -o preallocation=metadata "$TEST_IMG" 64M 2>&1 \
+ | _filter_img_create
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/259.out b/tests/qemu-iotests/259.out
new file mode 100644
index 0000000000..ffed19c2a0
--- /dev/null
+++ b/tests/qemu-iotests/259.out
@@ -0,0 +1,14 @@
+QA output created by 259
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=67108864
+
+--- Testing creation ---
+Formatting 'TEST_DIR/t.IMGFMT', fmt=qcow2 size=67108864
+image: TEST_DIR/t.IMGFMT
+file format: qcow2
+virtual size: 64 MiB (67108864 bytes)
+disk size: unavailable
+
+--- Testing creation for which the node would need to grow ---
+qemu-img: TEST_DIR/t.IMGFMT: Could not resize image: Image format driver does
not support resize
+Formatting 'TEST_DIR/t.IMGFMT', fmt=qcow2 size=67108864 preallocation=metadata
+*** done
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index b34c8e3c0c..80e7603174 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -269,3 +269,4 @@
254 rw auto backing quick
255 rw auto quick
256 rw auto quick
+259 rw auto quick
--
2.21.0
- [Qemu-devel] [PATCH 2/7] block: Add blk_truncate_for_formatting(), (continued)
- [Qemu-devel] [PATCH 2/7] block: Add blk_truncate_for_formatting(), Max Reitz, 2019/07/12
- [Qemu-devel] [PATCH 3/7] block: Use blk_truncate_for_formatting(), Max Reitz, 2019/07/12
- [Qemu-devel] [PATCH 4/7] block: Generic file creation fallback, Max Reitz, 2019/07/12
- [Qemu-devel] [PATCH 5/7] file-posix: Drop hdev_co_create_opts(), Max Reitz, 2019/07/12
- [Qemu-devel] [PATCH 6/7] iscsi: Drop iscsi_co_create_opts(), Max Reitz, 2019/07/12
- [Qemu-devel] [PATCH 7/7] iotests: Add test for image creation fallback,
Max Reitz <=